Loading...
Searching...
No Matches
BALL::VIEW::NewSelectionMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::NewSelectionMessage:

## Public Member Functions

| NewSelectionMessage ()
bool | openItems ()
| Open all SelectableListViewItems, if they have a selected child.
void | setOpenItems (bool state)
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

bool | open_

## Detailed Description

Send by MainControl to Control objects to sync selection

Definition at line 495 of file message.h.

## Constructor & Destructor Documentation

## NewSelectionMessage()

BALL::VIEW::NewSelectionMessage::NewSelectionMessage | ( |  | ) |

## Member Function Documentation

## openItems()

bool BALL::VIEW::NewSelectionMessage::openItems | ( |  | ) |

inline

Open all SelectableListViewItems, if they have a selected child.

Definition at line 501 of file message.h.

## setOpenItems()

void BALL::VIEW::NewSelectionMessage::setOpenItems | ( | bool | state | ) |

inline

Definition at line 505 of file message.h.

## Member Data Documentation

## open_

bool BALL::VIEW::NewSelectionMessage::open_

protected

Definition at line 509 of file message.h.